import { defineConfig } from 'tsup';
import glob from 'fast-glob';
const services = glob.sync('src/services/*.ts');

export default defineConfig({
  entry: ['src/index.ts', ...services],
  target: 'node22',
  splitting: false,
  sourcemap: false,
  clean: true,
  format: 'esm',
  external: ['minio'],
  dts: true,
  outDir: 'dist',
  tsconfig: 'tsconfig.json',
});
